@import "../theme";

.small-point {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);

  @media (max-width: 1200px) {
    width: 25px;
    height: 25px;
  }
}

.big-point {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 1px solid #00A79D;
  background: #070707;

  @media (max-width: 1200px) {
    width: 50px;
    height: 50px;
  }
}

.rd-wrapper {
  padding: 100px 0;

  @media (max-width: 1200px) {
    padding-left: 24px;
  }
}

.rd {
  display: grid;
  grid-template-columns: 1fr 1px 1fr;
  z-index: 1;

  &__heading {
    font-weight: bold;
    font-size: 72px;
    line-height: 130%;
    margin-bottom: 50px;

    @media (max-width: 1200px) {
      font-size: 48px;
    }
  }

  &__separator {
    z-index: -1;
    position: relative;
    background-color: $grey;

    &::after {
      @extend .small-point;
      content: "";
      position: absolute;
      top: 100%;
      left: 0;
      transform: translate(-50%, -50%);
    }
  }

  &-left {

    > * {
      padding-right: 100px;
    }

    .big-point, .small-point {
      right: 0;
      transform: translate(50%, -25%);
    }

    &-cards {
      display: flex;
      flex-direction: column;
      margin-bottom: 70px;
      position: relative;
      row-gap: 34px;

      &::after {
        content: '';
        z-index: -1;
        position: absolute;
        width: 60%;
        height: 90%;
        top: 50%;
        left: 40%;
        transform: translate(-50%, -50%) rotate(-21deg);
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
        filter: blur(90px);
        border-radius: 50%;
      }

      &__item {

        &:first-child {
          align-self: flex-end;
          width: 401px;
          max-width: 80%;
        }

        &:last-child {
          width: 475px;
          max-width: 80%;
          align-self: flex-end;
        }
      }
    }
  }

  &-right {
    padding-top: 100px;

    > * {
      padding-left: 100px;
    }

    .big-point, .small-point {
      left: 0;
      transform: translate(-50%, -25%);
    }

    &-cards {
      display: flex;
      flex-direction: column;
      row-gap: 150px;
      position: relative;

      &::after {
        content: '';
        z-index: -1;
        position: absolute;
        width: 60%;
        height: 90%;
        top: 50%;
        left: 40%;
        transform: translate(-50%, -50%) rotate(-21deg);
        background: linear-gradient(180deg, rgba(0, 167, 157, 0.5) 0%, rgba(140, 65, 206, 0.5) 100%);
        filter: blur(90px);
        border-radius: 50%;
      }

      > img {
        width: 100%;
      }
    }
  }

  &-point {
    margin-bottom: 110px;
    position: relative;

    @media (max-width: 1200px) {
      margin-bottom: 0;
    }

    .big-point, .small-point {
      position: absolute;
      top: 0;
    }

    &__heading {
      margin-bottom: 24px;
      font-weight: 600;
      font-size: 24px;
      line-height: 130%;

      @media (max-width: 1200px) {
        font-size: 20px;
        margin-bottom: 16px;
      }
    }

    &__text {
      font-weight: 500;
      font-size: 18px;
      line-height: 130%;
      color: $grey;

      @media (max-width: 1200px) {
        font-size: 16px;
      }

      a {
        color: $pink;
      }
    }
  }
}

.rd-mobile {
  display: grid;
  grid-row-gap: 16px;
  position: relative;
  border-left: 1px solid $grey;

  &::after {
    @extend .small-point;
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(-50%, 50%);
  }

  & > * {
    padding-left: 32px;
  }

  &-card-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;

    &::after {
      content: '';
      z-index: -1;
      position: absolute;
      width: 30%;
      height: 100%;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%) rotate(21deg);
      background: linear-gradient(180deg, rgba(0, 167, 157, 0.9) 0%, rgba(140, 65, 206, 0.9) 100%);
      filter: blur(60px);
      border-radius: 35%;
    }
  }

  &__card {
    max-width: 100%;
    padding-left: 0;
    margin: 0 auto;
  }

  .rd-point {
    padding-left: 40px;

    .rd-mobile__card {
      margin-bottom: 12px;
    }
  }

  .rd__heading.last {
    margin-top: 100px;

    font-size: 36px;
  }

  .big-point, .small-point {
    left: 0;
    transform: translate(-50%, -25%);
  }
}
